#!/bin/bash

HAS_GIT=$(dpkg-query -W --showformat='${Status}\n' git | grep "install ok installed")

# clear screen
clear

# check for git
echo Checking for git: $HAS_GIT
if [ "" = "$HAS_GIT" ]; then
    echo "git not found! Setting up git."
    sudo apt install -y git
fi

# remove old bookworm-kde
rm -rf bookworm-kde

# git clone debian-abyss repo
git clone -b bookworm-kde https://gitlab.com/pastelabyss/debian-abyss bookworm-kde

# cd to bookworm-kde
cd bookworm-kde

# move branding and config files to proper place
cp -r branding ~/.local/share/branding && cp -r config/* ~/.config/

# run main script in bookworm-kde
python3 main

# remove bookworm-kde
cd .. && rm -rf bookworm-kde


